Package Details: pev-git r602.ccef80d-1

Git Clone URL: https://aur.archlinux.org/pev-git.git (read-only)
Package Base: pev-git
Description: Command line based tool for PE32/PE32+ file analysis
Upstream URL: http://pev.sourceforge.net/
Licenses: GPL
Submitter: Thermi
Maintainer: Thermi
Last Packager: Thermi
Votes: 17
Popularity: 0.021973
First Submitted: 2014-08-29 22:52
Last Updated: 2017-06-11 12:54

Latest Comments

1 2 Next › Last »

jose1711 commented on 2018-07-12 14:50

please add conflicts field

Thermi commented on 2017-06-11 12:55

@esteve
Thanks, it seems the repo can now be built without patching any files. I applied the changes, but removed the || return 1, because that's unnecessary.

esteve commented on 2017-06-11 00:11

The currently associated git repo is not up to date with upstream. This patch points to upstream repo and make install files on /usr instead of /usr/local

diff --git a/PKGBUILD b/PKGBUILD
index d50e531..b27f5cd 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
# This is now a git package, as the developers don't provide a tarball for the 0.71 release.

pkgname=pev-git
-pkgver=r507.a6d4b19
+pkgver=r602.ccef80d
pkgrel=1
pkgdesc='Command line based tool for PE32/PE32+ file analysis'
arch=('i686' 'x86_64')
@@ -11,11 +11,8 @@ url='http://pev.sourceforge.net/'
license=('GPL')
makedepends=('unzip')
depends=('glibc' 'openssl' 'pcre')
-source=('pev-git::git+https://github.com/thermi/pev'
- 'libpe-git::git+https://github.com/thermi/libpe'
-)
-md5sums=('SKIP'
- 'SKIP')
+source=('pev-git::git+https://github.com/merces/pev.git')
+md5sums=('SKIP')

pkgver() {
cd "${srcdir}/${pkgname}"
@@ -23,16 +20,17 @@ pkgver() {
}

prepare() {
- rmdir "${srcdir}/pev-git/lib/libpe"
- mv "${srcdir}/libpe-git" "${srcdir}/pev-git/lib/libpe"
+ cd "${srcdir}/pev-git"
+ git submodule update --init --recursive
}

build() {
cd "${srcdir}/${pkgname}"
- make || return 1
+ make prefix=/usr || return 1
+
}

package() {
cd "${srcdir}/${pkgname}"
- make DESTDIR=${pkgdir}/usr install
+ make prefix=/usr DESTDIR=${pkgdir} install
}

someoneelse123 commented on 2014-09-15 07:15

Hi!

libpe.so is being installed to /usr/local/lib/.

Muflone commented on 2014-08-30 11:40

this package is going to be merged with pev-git as requested from the maintainer Thermi

Thermi commented on 2014-07-19 17:13

I just took over the package from the former maintainer and I will update it in the next week. It's not that trivial, because the developers don't supply a tarball for 0.71 and the Makefile in the git repo doesn't work.

dennis123123 commented on 2014-04-27 11:06

0.71 released
http://pev.sourceforge.net/doc/manual/en_us/ch01s02.html

OrdinaryMagician commented on 2014-03-15 14:53

make install (with the DESTDIR setting removed) needs to be uncommented and run after the two sed lines.

fusca commented on 2014-03-07 16:57

Thank you lucy!

Anonymous comment on 2014-03-03 19:25

Hacky fix:
add
sed -i "s|prefix = /usr|prefix = ${pkgdir}/usr|" src/Makefile
sed -i "s|prefix = /usr|prefix = ${pkgdir}/usr|" lib/libpe/Makefile
to package(), don't set DESTDIR on make install